﻿using System;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace ld30
{
    // done!
    class Bullet
    {
        public Vector2 pos;
        Vector2 increment;

        public Bullet(Vector2 position, Vector2 target)
        {
            this.pos = position;

            increment = -(new Vector2(0, pos.Y) - target);
        }


        /// <summary>
        /// Update!
        /// </summary>
        /// <param name="time">Time in seconds</param>
        /// <param name="speed">Speed of the bullet</param>
        public void Update(float time, float speed)
        {
            pos += increment * speed * time;
        }

        public void Draw(SpriteBatch sb, Texture2D texture)
        {
            sb.Draw(texture, pos, Color.White);
        }
    }
}
